Bug 90621 - Mesa fail to build from git
Summary: Mesa fail to build from git
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL: https://llvm.org/bugs/show_bug.cgi?id...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-24 20:57 UTC by Lorenzo Bona
Modified: 2015-05-28 09:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
building log (52.69 KB, text/plain)
2015-05-24 20:57 UTC, Lorenzo Bona
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Bona 2015-05-24 20:57:20 UTC
Created attachment 116014 [details]
building log

I can't compile Mesa from git after upgrading llvm to 238121.
I'm using llvm from debian repository's so I can't bisect this. Sorry.

I've attached building log.
Comment 1 Jose Fonseca 2015-05-28 09:16:00 UTC
Should be fixed with

commit 09d6243aed016eed4518435c9885275dbb6d2aa9
Author: Jose Fonseca <jfonseca@vmware.com>
Date:   Thu May 28 10:11:36 2015 +0100

    gallivm: Workaround LLVM PR23628.
    
    Temporarily undefine DEBUG macro while including LLVM C++ headers,
    leveraging the push/pop_macro pragmas, which are supported both by GCC
    and MSVC.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=90621
    
    Trivial.


bug/show.html.tmpl processed on Feb 26, 2017 at 07:43:25.
(provided by the Example extension).